<template>
<section 
    class="container">
    <div>
      <select class="dropdown"
        v-model="payload.priority"
        @change="update(position, place, feature)">
        <option 
          v-for="p in visible_priorities"
          :value="p.id"
          :key="p.id">
          {{ p.value }}
        </option>
      </select>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      payload: {
        feature: null,
        position: null,
        place: null,
        priority: null
      },
    };
  },
  props: {
    position: {
      required: true,
      type: Number
    },
    place: {
      required: true,
      type: Number
    },
    feature: {
      required: true,
      type: Number
    }
  },
  methods: {
    update(position, place, feature) {
      this.payload.position = position;
      this.payload.place    = place;
      this.payload.feature  = feature;
      this.$store.commit('addReservePreference',this.payload);


      // console.log(this.payload);
    }


  },
  computed: {
    visible_priorities() {
      var visible_priorities = [];
      var features =  this.$store.getters.reserveData.features;
      
      visible_priorities.push({id:0, value:"tanto faz"});
      for(var i = 1; i < features.length + 1; i++)
        visible_priorities.push({id:i, value:i});
      
      return visible_priorities;
    }
  }
}
</script>

<style scoped>
.container {
  display: flex;
  justify-content: space-around;
}

.dropdown {
  width: 100%;
  min-height: 2rem;
  border-radius: 10px;
}


</style>
